print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecinnamon = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local cinnamonHudFile = "Paletten/hud_fill_cinnamon.dds"
	local cinnamonHudFileSmall = "Paletten/hud_fill_cinnamon_small.dds"
	
    local cinnamonFilType = g_fillTypeManager:addFillType("CINNAMON", g_i18n:getText("cinnamon"), true, pricecinnamon * 0.9, 0.00045, math.rad(10), cinnamonHudFile, cinnamonHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascinnamon=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascinnamon=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CINNAMON" then
		hascinnamon=true
	end;
		
end;

		if hasmaize and not hascinnamon then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CINNAMON")
		local price = g_fillTypeManager:getFillTypeByName("CINNAMON").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CINNAMON")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)